private ["_help1", "_help2", "_info", "_i"];
_info = [];
_i    = -1;
"ctrlEnable [_x,false]" forEach [0,1];

if (_this == "FM") then {
	ctrlSetText [2, " File Manager Controls "];
	_info = 
	[
		["Arrow up / down", "Previous / next file"],
		["Page up / down", Format ["Go %1 files up / down",IGSE_FM_ROWS]],
		["Home","Go to the beginning"],
		["End","Go to the end"],
		["",""],
		["Double-click LMB","Open file"],
		["Enter","Open file"],
		["Backspace","Parent directory"],
		["Fourth mouse button","Parent directory / exit"],
		["Fifth mouse button","Previous directory / file"],
		["Middle mouse button","Exit"],
		["",""],
		["Letters and numbers", "Type filter"],
		["Backspace", "Delete filter"],
		[".", "Type filter extension"],
		["",""],
		["F2","Rename file"],
		["F5","Reload list"],
		["F12","Edit configuration"],
		["",""],
		["Ctrl + N","New file"],
		["Shift + Ctrl + N","New folder"],
		["Ctrl + C","Copy file"],
		["Ctrl + X","Cut file"],
		["Ctrl + V","Paste file"],
		["Delete","Trash file"]
	];
};

if (_this == "TE") then {
	ctrlSetText [2, " Text Editor Controls "];
	_info = 
	[
		["Arrow up / down", "Previous / next line"],
		["Ctrl + up / down","Scroll up / down"],
		["Page up / down", Format ["Go %1 lines up / down",IGSE_LINES]],
		["Ctrl + Home","Go to the first line"],
		["Ctrl + End","Go to the last line"],
		["F2","Go to next bookmark"],
		["Shift + F2", "Go to previous bookmark"],
		["F3","Go to next search result"],
		["Shift + F3", "Go to previous search result"],
		["F4", "Replace search result"],
		["",""],
		["Enter","Save input to file"],
		["Ctrl + Enter","Save input and create a new line below"],
		["Shift + Ctrl + Enter","Save input and create a new line above"],
		["Ctrl + N","Create a new line below the current"],
		["Shift + Ctrl + N","Create a new line above the current"],
		["Ctrl + Delete","Delete line"],
		["Ctrl + Backspace","Clear line"],
		["Ctrl + Shift + Up / down","Move line up / down"],
		["Ctrl + T","Insert tabulator"],
		["Shift + Ctrl + T","Remove tabulator"],
		["Ctrl + Q","Toggle comment"],
		["",""],
		["Hold Alt + Up / Down","Mark lines"],
		["Hold Alt + A","Mark everything"],
		["Hold Alt + C","Copy lines"],
		["Hold Alt + X","Cut lines"],
		["Hold Alt + V","Paste lines"],
		["",""],
		["Ctrl + F2","Toggle bookmark"],
		["Ctrl + F","Find"],
		["Ctrl + H","Replace"],
		["Ctrl + G","Go to..."],
		["Ctrl + O","Open file manager"],
		["Ctrl + W","Exit IGSE"],
		["F5","Reload file"],
		["F12","Edit configuration"],
		["Middle / Fourth mouse button","Exit file"],
		["Ctrl + (Shift) + Tab", "Switch to recent file"],
		["Right mouse button + scroll", "Switch to recent file"]
	];
};

while "_i=_i+1; _i < count _info" do {
	ctrlSetText [0, Format ["%1%2\n", ctrlText 0, (_info select _i) select 0]];
	ctrlSetText [1, Format ["%1%2\n", ctrlText 1, (_info select _i) select 1]];
};