
private ["_dir", "_i", "_newPos"];
_dir = _this;

// Start a new scroll
if (_curSel != _lastCurSel) then 
{
	// Center view
	lbSetCurSel [10, _curSel - IGSE_CENTER]; 
	lbSetCurSel [10, _curSel + IGSE_CENTER]; 
	lbSetCurSel [10, _curSel]; 
	
	// Save
	_lastCurSel = _curSel;
	_ctrlScroll = 0
};


// Do scrolling
_newPos = _curSel + IGSE_CENTER*_dir + (_ctrlScroll+_dir);

// Don't go out of bounds
if (_newPos>=0  &&  _newPos<lbSize 10) then 
{
	_ctrlScroll = _ctrlScroll + _dir;

	// If scrolling past selection
	// then move selection as well
	if (abs _ctrlScroll > IGSE_CENTER) then
	{
		_curSel = _curSel + _dir;
		_lastCurSel = _curSel;
		_ctrlScroll = IGSE_CENTER * _dir
	};
	
	lbSetCurSel [10, _curSel + IGSE_CENTER*_dir + _ctrlScroll];
	lbSetCurSel [10, _curSel];
};



