/*

Function for In-Game-Script-Editor used to measure text loading time
Max difference up to 60 minutes
Input:
	string "start" or "end"
Output:
	float time
	
*/



private ["_currTime", "_cond", "_return", "_ms1", "_ms2", "_ms", "_s1", "_s2", "_s", "_m1", "_m2", "_m"];
_return = 0;


// Variable doesn't exist so save current time
if (_this=="start") then
{
	IGSE_MEASURETIME = call loadFile ":info date";
}



// Subtract saved time from current time
else
{
	_currTime = call loadFile ":info date";
	
	_ms=0; _s=0; _m=0;
	_ms1 = IGSE_MEASURETIME select 7;
	_ms2 = _currTime select 7;
	_s1 = IGSE_MEASURETIME select 6;
	_s2 = _currTime select 6;
	_m1 = IGSE_MEASURETIME select 5;
	_m2 = _currTime select 5;
	//if (_ms2 > _ms1) then {_ms=_ms2-_ms1; _ms1=_ms1+_ms};
	//if (_ms2 < _ms1) then {_ms=(1000-_ms1)+_ms2; _s1}
	
	if (_ms2 >= _ms1) then {_ms=_ms2-_ms1} else {_ms=(1000-_ms1)+_ms2; _s1=_s1+1};
	if (_s2 >= _s1) then {_s=_s2-_s1} else {_s=(60-_s1)+_s2; _m1=_m1+1};
	if (_m2 >= _m1) then {_m=_m2-_m1} else {_m=(60-_m1)+_m2};
	
	//player sidechat format ["%1:%2:%3  %4:%5:%6", _m1, _s1, _ms1,    _m2, _s2, _ms2];
	//player globalchat format ["%1:%2:%3  %4:%5:%6", _m1, _s1, _ms1,    _m2, _s2, _ms2];
	//player groupchat format ["%1:%2:%3",_m, _s, _ms];
	
	_return = (_m * 60) + _s + (_ms/1000);
	
	//if (_ms > 0) then {_ms = (_ms - (_ms mod 10)) / 1000;};
	
	//if (_m > 0) then {_return=_return+Format["%1m",_m]};
	//if (_s+_ms > 0) then {if(_return!="")then{_return=_return+" "}; _return=_return+Format["%1s",_s+_ms]};
	
};


_return
