
private ["_mode", "_line", "_i", "_dir", "_bkmrk"];

_mode 	= _this select 0;
_line 	= _this select 1;
_range	= _this select 2;
_clip	= _this select 3;
_added	= _this select 4;
_dir 	= 1;




// Shift +1 all bookmarks follwing next line
if (_mode == "insert") then
{
	_mode = "new";
	_line = _line + 1
};




// When number of lines change
if (_mode in ["new", "copy", "delete"]) then
{
	// Remove bookmarks from deleted lines
	if (_mode == "delete") then 
	{
		_dir = -1;
		
		// Removing a single line
		if (_range == -1) then
		{
			_bookmarks = _bookmarks - [_line]
		}
		// Removing a range of lines
		else
		{
			_dir = -_range;
			_i   = -1;
			
			while "_i=_i+1;  _i < count _bookmarks" do
			{
				if ((_bookmarks select _i)>=_line  &&  (_bookmarks select _i)<=(_line+_range)) then
				{
					_bookmarks = _bookmarks - [(_bookmarks select _i)]
				}
			}
		}
	};

	
	// Pasting from clipboard
	if (_clip) then {_dir=_added};
	
	// Shift following bookmarks
	_i = -1;
	while "_i=_i+1;  _i < count _bookmarks" do
	{
		if (_bookmarks select _i > _line) then
		{
			_bookmarks set [_i, (_bookmarks select _i)+_dir];
		}
	}
};




// Update bookmarks when replacing lines
if (_mode in ["moveup", "movedown"]) then
{
	_other  = if (_mode == "movedown") then {_dir=1; _line+1} else {_dir=-1; _line-1};
	_index1 = -1;
	_index2 = -1;
	_i 		= -1;
	
	// Find index of lines that are being shifted
	while "_i=_i+1;  _i < count _bookmarks" do 
	{
		if (_line == (_bookmarks select _i)) then
		{
			_index1 = _i;
		};
			
		if (_other == (_bookmarks select _i)) then
		{
			_index2 = _i;
		};
	};

	if (_index1 != -1) then {_bookmarks set [_index1, _line+_dir]};
	if (_index2 != -1) then {_bookmarks set [_index2, _other-_dir]};
};




if (count _bookmarks > 1) then {[_bookmarks] call quicksort};
true