
// Show file attributes in the IGSE File Manager dialog


private ["_string", "_i", "_addComma", "_Day", "_mb", "_kb", "_b", "_size", "_name"];
false call _ShowPath;

	
	// Name and extension -----------------------------------------------------------------------------------
	ctrlSetText [12, (_this select 0)];
	ctrlSetText [13, (_this select 1)];
	
	

	// File size --------------------------------------------------------------------------------------------
	if ("directory" in (_this select 2)) then {
		ctrlSetText [14, "Folder"]
	} else {
		_mb 	= (_this select 6) select 2;
		_kb 	= (_this select 6) select 1;
		_b 		= (_this select 6) select 0;
		_size 	= _b;
		_name 	= "B";
		
		// Find unit name
		if (_mb > 0) then 
		{
			_name = "MB";
			_size = _kb
		} 
		else
		{
			if (_kb > 0  ||  _kb==0 && _b>=1000) then 
			{
				_name = "KB"; 
				_size = _b
			};
		};

		// Display fraction if larger than 1000 bytes
		if (_name != "B") then
		{
			_size = (_size / 1024);
			_size = _size - (_size mod 0.1);
			
			if (_name == "MB") then {_size = _mb + _size};
			if (_name == "KB") then {_size = _kb + _size};
		};
		
		ctrlSetText [14, Format ["%1 %2", _size,_name]];
	};



	
	
	// Add date ---------------------------------------------------------------------------------------------
	_string = "";
	_i 		= [(_this select 5),IGSE_DATE] call FLIB_DATEDIFFDAY;
	
	// File older than a week
	if (_i >= 7) then
	{
		_string = ["Y-0m-0d 0h:0i", (_this select 5)] call FLIB_FORMATDATE
	}
	// This week
	else
	{
		_day = ["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"] select ((_this select 5) select 3);
		
		if (_i == 0) then {_day = "Today"};
		if (_i == 1) then {_day = "Yesterday"};
		
		_string = ["~"+_day+"~ 0h:0i", (_this select 5)] call FLIB_FORMATDATE
	};
	
	ctrlSetText [15, _string];

	

	
	// Add attributes ---------------------------------------------------------------------------------------
	_i 			= 0;
	_string 	= "";
	_addComma 	= false;
	
	while "_i < count (_this select 2)" do
	{
		if ((_this select 2) select _i in ["readonly","hidden"]) then
		{
			if (!_addComma) then {_addComma=true} else {_string=_string+" ,"};	
			if ("readonly"  == (_this select 2) select _i) then {_string=_string+"Read Only"};
			if ("hidden"    == (_this select 2) select _i) then {_string=_string+"Hidden"};
		};
		
		_i = _i + 1;
	};
	
	ctrlSetText [16, _string];
	
true
